import{s as Wi,n as ji,o as Xi}from"../chunks/scheduler.6062bdaf.js";import{S as Vi,i as Ji,g as l,s,r as c,A as Qi,h as n,f as t,c as h,j as u,u as p,x as f,k as o,y as r,a as i,v,d,t as g,w as _}from"../chunks/index.4bca734e.js";import{I as m}from"../chunks/IconCopyLink.68a13644.js";function Zi(Qn){let w,ll,b,G,It,se,Pn,vt,Zn="Environment variables",nl,he,ea="<code>huggingface_hub</code> can be configured using environment variables.",al,ue,ta=`If you are unfamiliar with environment variable, here are generic articles about them
<a href="https://linuxize.com/post/how-to-set-and-list-environment-variables-in-linux/" rel="nofollow">on macOS and Linux</a>
and on <a href="https://phoenixnap.com/kb/windows-set-environment-variable" rel="nofollow">Windows</a>.`,il,fe,la=`This page will guide you through all environment variables specific to <code>huggingface_hub</code>
and their meaning.`,ol,H,R,Ft,ce,Nn,dt,na="Generic",rl,x,D,Bt,pe,Sn,gt,aa="HF_ENDPOINT",sl,ve,ia=`To configure the Hub base url. You might want to set this variable if your organization
is using a <a href="https://huggingface.co/platform" rel="nofollow">Private Hub</a>.`,hl,de,oa="Defaults to <code>&quot;https://huggingface.co&quot;</code>.",ul,$,z,qt,ge,Mn,_t,ra="HF_INFERENCE_ENDPOINT",fl,_e,sa=`To configure the inference api base url. You might want to set this variable if your organization
is pointing at an API Gateway rather than directly at the inference api.`,cl,me,ha="Defaults to <code>&quot;https://api-inference.huggingface.com&quot;</code>.",pl,y,Y,Ot,we,In,mt,ua="HF_HOME",vl,be,fa=`To configure where <code>huggingface_hub</code> will locally store data. In particular, your token
and the cache will be stored in this folder.`,dl,He,ca='Defaults to <code>&quot;~/.cache/huggingface&quot;</code> unless <a href="#xdgcachehome">XDG_CACHE_HOME</a> is set.',gl,E,K,Ut,xe,Fn,wt,pa="HUGGINGFACE_HUB_CACHE",_l,$e,va=`To configure where repositories from the Hub will be cached locally (models, datasets and
spaces).`,ml,ye,da="Defaults to <code>&quot;$HF_HOME/hub&quot;</code> (e.g. <code>&quot;~/.cache/huggingface/hub&quot;</code> by default).",wl,C,W,Gt,Ee,Bn,bt,ga="HUGGINGFACE_ASSETS_CACHE",bl,Ce,_a=`To configure where <a href="../guides/manage-cache#caching-assets">assets</a> created by downstream libraries
will be cached locally. Those assets can be preprocessed data, files downloaded from GitHub,
logs,…`,Hl,Ae,ma="Defaults to <code>&quot;$HF_HOME/assets&quot;</code> (e.g. <code>&quot;~/.cache/huggingface/assets&quot;</code> by default).",xl,A,j,Rt,Te,qn,Ht,wa="HUGGING_FACE_HUB_TOKEN",$l,ke,ba=`To configure the User Access Token to authenticate to the Hub. If set, this value will
overwrite the token stored on the machine (in <code>&quot;$HF_HOME/token&quot;</code>).`,yl,Le,Ha='See <a href="../package_reference/login">login reference</a> for more details.',El,T,X,Dt,Pe,On,xt,xa="HUGGINGFACE_HUB_VERBOSITY",Cl,Ne,$a=`Set the verbosity level of the <code>huggingface_hub</code>’s logger. Must be one of
<code>{&quot;debug&quot;, &quot;info&quot;, &quot;warning&quot;, &quot;error&quot;, &quot;critical&quot;}</code>.`,Al,Se,ya="Defaults to <code>&quot;warning&quot;</code>.",Tl,Me,Ea='For more details, see <a href="../package_reference/utilities#huggingface_hub.utils.logging.get_verbosity">logging reference</a>.',kl,k,V,zt,Ie,Un,$t,Ca="HF_HUB_LOCAL_DIR_AUTO_SYMLINK_THRESHOLD",Ll,Fe,Aa=`Integer value to define under which size a file is considered as “small”. When downloading files to a local directory,
small files will be duplicated to ease user experience while bigger files are symlinked to save disk usage.`,Pl,Be,Ta='For more details, see the <a href="../guides/download#download-files-to-local-folder">download guide</a>.',Nl,L,J,Yt,qe,Gn,yt,ka="Boolean values",Sl,Oe,La=`The following environment variables expect a boolean value. The variable will be considered
as <code>True</code> if its value is one of <code>{&quot;1&quot;, &quot;ON&quot;, &quot;YES&quot;, &quot;TRUE&quot;}</code> (case-insensitive). Any other value
(or undefined) will be considered as <code>False</code>.`,Ml,P,Q,Kt,Ue,Rn,Et,Pa="HF_HUB_OFFLINE",Il,Ge,Na=`If set, no HTTP calls will me made when trying to fetch files. Only files that are already
cached will be accessed. This is useful in case your network is slow and you don’t care
about having absolutely the latest version of a file.`,Fl,Re,Sa=`<strong>Note:</strong> even if the latest version of a file is cached, calling <code>hf_hub_download</code> still triggers
a HTTP request to check that a new version is not available. Setting <code>HF_HUB_OFFLINE=1</code> will
skip this call which speeds up your loading time.`,Bl,N,Z,Wt,De,Dn,Ct,Ma="HF_HUB_DISABLE_IMPLICIT_TOKEN",ql,ze,Ia=`Authentication is not mandatory for every requests to the Hub. For instance, requesting
details about <code>&quot;gpt2&quot;</code> model does not require to be authenticated. However, if a user is
<a href="../package_reference/login">logged in</a>, the default behavior will be to always send the token
in order to ease user experience (never get a HTTP 401 Unauthorized) when accessing private or gated repositories. For privacy, you can
disable this behavior by setting <code>HF_HUB_DISABLE_IMPLICIT_TOKEN=1</code>. In this case,
the token will be sent only for “write-access” calls (example: create a commit).`,Ol,Ye,Fa=`<strong>Note:</strong> disabling implicit sending of token can have weird side effects. For example,
if you want to list all models on the Hub, your private models will not be listed. You
would need to explicitly pass <code>token=True</code> argument in your script.`,Ul,S,ee,jt,Ke,zn,At,Ba="HF_HUB_DISABLE_PROGRESS_BARS",Gl,We,qa=`For time consuming tasks, <code>huggingface_hub</code> displays a progress bar by default (using tqdm).
You can disable all the progress bars at once by setting <code>HF_HUB_DISABLE_PROGRESS_BARS=1</code>.`,Rl,M,te,Xt,je,Yn,Tt,Oa="HF_HUB_DISABLE_SYMLINKS_WARNING",Dl,Xe,Ua=`If you are on a Windows machine, it is recommended to enable the developer mode or to run
<code>huggingface_hub</code> in admin mode. If not, <code>huggingface_hub</code> will not be able to create
symlinks in your cache system. You will be able to execute any script but your user experience
will be degraded as some huge files might end-up duplicated on your hard-drive. A warning
message is triggered to warn you about this behavior. Set <code>HF_HUB_DISABLE_SYMLINKS_WARNING=1</code>,
to disable this warning.`,zl,Ve,Ga='For more details, see <a href="../guides/manage-cache#limitations">cache limitations</a>.',Yl,I,le,Vt,Je,Kn,kt,Ra="HF_HUB_DISABLE_EXPERIMENTAL_WARNING",Kl,Qe,Da=`Some features of <code>huggingface_hub</code> are experimental. This means you can use them but we do not guarantee they will be
maintained in the future. In particular, we might update the API or behavior of such features without any deprecation
cycle. A warning message is triggered when using an experimental feature to warn you about it. If you’re comfortable debugging any potential issues using an experimental feature, you can set <code>HF_HUB_DISABLE_EXPERIMENTAL_WARNING=1</code> to disable the warning.`,Wl,Ze,za="If you are using an experimental feature, please let us know! Your feedback can help us design and improve it.",jl,F,ne,Jt,et,Wn,Lt,Ya="HF_HUB_DISABLE_TELEMETRY",Xl,tt,Ka=`By default, some data is collected by HF libraries (<code>transformers</code>, <code>datasets</code>, <code>gradio</code>,..) to monitor usage, debug issues and help prioritize features.
Each library defines its own policy (i.e. which usage to monitor) but the core implementation happens in <code>huggingface_hub</code> (see <code>send_telemetry</code>).`,Vl,lt,Wa="You can set <code>HF_HUB_DISABLE_TELEMETRY=1</code> as environment variable to globally disable telemetry.",Jl,B,ae,Qt,nt,jn,Pt,ja="HF_HUB_ENABLE_HF_TRANSFER",Ql,at,Xa=`Set to <code>True</code> to download files from the Hub using <code>hf_transfer</code>. It’s a Rust-based package
that enables faster download (up to x2 speed-up). Be aware that this is still experimental
so it might cause issues in your workflow. In particular, it does not support features such
as progress bars, resume download, proxies or error handling.`,Zl,it,Va='<strong>Note:</strong> <code>hf_transfer</code> has to be installed separately <a href="https://pypi.org/project/hf-transfer/" rel="nofollow">from Pypi</a>.',en,q,ie,Zt,ot,Xn,Nt,Ja="From external tools",tn,rt,Qa=`Some environment variables are not specific to <code>huggingface_hub</code> but still taken into account
when they are set.`,ln,O,oe,el,st,Vn,St,Za="NO_COLOR",nn,ht,ei=`Boolean value. When set, <code>huggingface-cli</code> tool will not print any ANSI color.
See <a href="https://no-color.org/" rel="nofollow">no-color.org</a>.`,an,U,re,tl,ut,Jn,Mt,ti="XDG_CACHE_HOME",on,ft,li="Used only when <code>HF_HOME</code> is not set!",rn,ct,ni=`This is the default way to configure where <a href="https://wiki.archlinux.org/title/XDG_Base_Directory" rel="nofollow">user-specific non-essential (cached) data should be written</a>
on linux machines.`,sn,pt,ai=`If <code>HF_HOME</code> is not set, the default home will be <code>&quot;$XDG_CACHE_HOME/huggingface&quot;</code> instead
of <code>&quot;~/.cache/huggingface&quot;</code>.`,hn;return se=new m({}),ce=new m({}),pe=new m({}),ge=new m({}),we=new m({}),xe=new m({}),Ee=new m({}),Te=new m({}),Pe=new m({}),Ie=new m({}),qe=new m({}),Ue=new m({}),De=new m({}),Ke=new m({}),je=new m({}),Je=new m({}),et=new m({}),nt=new m({}),ot=new m({}),st=new m({}),ut=new m({}),{c(){w=l("meta"),ll=s(),b=l("h1"),G=l("a"),It=l("span"),c(se.$$.fragment),Pn=s(),vt=l("span"),vt.textContent=Zn,nl=s(),he=l("p"),he.innerHTML=ea,al=s(),ue=l("p"),ue.innerHTML=ta,il=s(),fe=l("p"),fe.innerHTML=la,ol=s(),H=l("h2"),R=l("a"),Ft=l("span"),c(ce.$$.fragment),Nn=s(),dt=l("span"),dt.textContent=na,rl=s(),x=l("h3"),D=l("a"),Bt=l("span"),c(pe.$$.fragment),Sn=s(),gt=l("span"),gt.textContent=aa,sl=s(),ve=l("p"),ve.innerHTML=ia,hl=s(),de=l("p"),de.innerHTML=oa,ul=s(),$=l("h3"),z=l("a"),qt=l("span"),c(ge.$$.fragment),Mn=s(),_t=l("span"),_t.textContent=ra,fl=s(),_e=l("p"),_e.textContent=sa,cl=s(),me=l("p"),me.innerHTML=ha,pl=s(),y=l("h3"),Y=l("a"),Ot=l("span"),c(we.$$.fragment),In=s(),mt=l("span"),mt.textContent=ua,vl=s(),be=l("p"),be.innerHTML=fa,dl=s(),He=l("p"),He.innerHTML=ca,gl=s(),E=l("h3"),K=l("a"),Ut=l("span"),c(xe.$$.fragment),Fn=s(),wt=l("span"),wt.textContent=pa,_l=s(),$e=l("p"),$e.textContent=va,ml=s(),ye=l("p"),ye.innerHTML=da,wl=s(),C=l("h3"),W=l("a"),Gt=l("span"),c(Ee.$$.fragment),Bn=s(),bt=l("span"),bt.textContent=ga,bl=s(),Ce=l("p"),Ce.innerHTML=_a,Hl=s(),Ae=l("p"),Ae.innerHTML=ma,xl=s(),A=l("h3"),j=l("a"),Rt=l("span"),c(Te.$$.fragment),qn=s(),Ht=l("span"),Ht.textContent=wa,$l=s(),ke=l("p"),ke.innerHTML=ba,yl=s(),Le=l("p"),Le.innerHTML=Ha,El=s(),T=l("h3"),X=l("a"),Dt=l("span"),c(Pe.$$.fragment),On=s(),xt=l("span"),xt.textContent=xa,Cl=s(),Ne=l("p"),Ne.innerHTML=$a,Al=s(),Se=l("p"),Se.innerHTML=ya,Tl=s(),Me=l("p"),Me.innerHTML=Ea,kl=s(),k=l("h3"),V=l("a"),zt=l("span"),c(Ie.$$.fragment),Un=s(),$t=l("span"),$t.textContent=Ca,Ll=s(),Fe=l("p"),Fe.textContent=Aa,Pl=s(),Be=l("p"),Be.innerHTML=Ta,Nl=s(),L=l("h2"),J=l("a"),Yt=l("span"),c(qe.$$.fragment),Gn=s(),yt=l("span"),yt.textContent=ka,Sl=s(),Oe=l("p"),Oe.innerHTML=La,Ml=s(),P=l("h3"),Q=l("a"),Kt=l("span"),c(Ue.$$.fragment),Rn=s(),Et=l("span"),Et.textContent=Pa,Il=s(),Ge=l("p"),Ge.textContent=Na,Fl=s(),Re=l("p"),Re.innerHTML=Sa,Bl=s(),N=l("h3"),Z=l("a"),Wt=l("span"),c(De.$$.fragment),Dn=s(),Ct=l("span"),Ct.textContent=Ma,ql=s(),ze=l("p"),ze.innerHTML=Ia,Ol=s(),Ye=l("p"),Ye.innerHTML=Fa,Ul=s(),S=l("h3"),ee=l("a"),jt=l("span"),c(Ke.$$.fragment),zn=s(),At=l("span"),At.textContent=Ba,Gl=s(),We=l("p"),We.innerHTML=qa,Rl=s(),M=l("h3"),te=l("a"),Xt=l("span"),c(je.$$.fragment),Yn=s(),Tt=l("span"),Tt.textContent=Oa,Dl=s(),Xe=l("p"),Xe.innerHTML=Ua,zl=s(),Ve=l("p"),Ve.innerHTML=Ga,Yl=s(),I=l("h3"),le=l("a"),Vt=l("span"),c(Je.$$.fragment),Kn=s(),kt=l("span"),kt.textContent=Ra,Kl=s(),Qe=l("p"),Qe.innerHTML=Da,Wl=s(),Ze=l("p"),Ze.textContent=za,jl=s(),F=l("h3"),ne=l("a"),Jt=l("span"),c(et.$$.fragment),Wn=s(),Lt=l("span"),Lt.textContent=Ya,Xl=s(),tt=l("p"),tt.innerHTML=Ka,Vl=s(),lt=l("p"),lt.innerHTML=Wa,Jl=s(),B=l("h3"),ae=l("a"),Qt=l("span"),c(nt.$$.fragment),jn=s(),Pt=l("span"),Pt.textContent=ja,Ql=s(),at=l("p"),at.innerHTML=Xa,Zl=s(),it=l("p"),it.innerHTML=Va,en=s(),q=l("h2"),ie=l("a"),Zt=l("span"),c(ot.$$.fragment),Xn=s(),Nt=l("span"),Nt.textContent=Ja,tn=s(),rt=l("p"),rt.innerHTML=Qa,ln=s(),O=l("h3"),oe=l("a"),el=l("span"),c(st.$$.fragment),Vn=s(),St=l("span"),St.textContent=Za,nn=s(),ht=l("p"),ht.innerHTML=ei,an=s(),U=l("h3"),re=l("a"),tl=l("span"),c(ut.$$.fragment),Jn=s(),Mt=l("span"),Mt.textContent=ti,on=s(),ft=l("p"),ft.innerHTML=li,rn=s(),ct=l("p"),ct.innerHTML=ni,sn=s(),pt=l("p"),pt.innerHTML=ai,this.h()},l(e){const a=Qi("svelte-1phssyn",document.head);w=n(a,"META",{name:!0,content:!0}),a.forEach(t),ll=h(e),b=n(e,"H1",{class:!0});var un=u(b);G=n(un,"A",{id:!0,class:!0,href:!0});var ii=u(G);It=n(ii,"SPAN",{});var oi=u(It);p(se.$$.fragment,oi),oi.forEach(t),ii.forEach(t),Pn=h(un),vt=n(un,"SPAN",{"data-svelte-h":!0}),f(vt)!=="svelte-hk03nr"&&(vt.textContent=Zn),un.forEach(t),nl=h(e),he=n(e,"P",{"data-svelte-h":!0}),f(he)!=="svelte-1xuew16"&&(he.innerHTML=ea),al=h(e),ue=n(e,"P",{"data-svelte-h":!0}),f(ue)!=="svelte-1by1ave"&&(ue.innerHTML=ta),il=h(e),fe=n(e,"P",{"data-svelte-h":!0}),f(fe)!=="svelte-5z5k2g"&&(fe.innerHTML=la),ol=h(e),H=n(e,"H2",{class:!0});var fn=u(H);R=n(fn,"A",{id:!0,class:!0,href:!0});var ri=u(R);Ft=n(ri,"SPAN",{});var si=u(Ft);p(ce.$$.fragment,si),si.forEach(t),ri.forEach(t),Nn=h(fn),dt=n(fn,"SPAN",{"data-svelte-h":!0}),f(dt)!=="svelte-qq05ua"&&(dt.textContent=na),fn.forEach(t),rl=h(e),x=n(e,"H3",{class:!0});var cn=u(x);D=n(cn,"A",{id:!0,class:!0,href:!0});var hi=u(D);Bt=n(hi,"SPAN",{});var ui=u(Bt);p(pe.$$.fragment,ui),ui.forEach(t),hi.forEach(t),Sn=h(cn),gt=n(cn,"SPAN",{"data-svelte-h":!0}),f(gt)!=="svelte-g6ewsl"&&(gt.textContent=aa),cn.forEach(t),sl=h(e),ve=n(e,"P",{"data-svelte-h":!0}),f(ve)!=="svelte-gfh3ro"&&(ve.innerHTML=ia),hl=h(e),de=n(e,"P",{"data-svelte-h":!0}),f(de)!=="svelte-135fkrh"&&(de.innerHTML=oa),ul=h(e),$=n(e,"H3",{class:!0});var pn=u($);z=n(pn,"A",{id:!0,class:!0,href:!0});var fi=u(z);qt=n(fi,"SPAN",{});var ci=u(qt);p(ge.$$.fragment,ci),ci.forEach(t),fi.forEach(t),Mn=h(pn),_t=n(pn,"SPAN",{"data-svelte-h":!0}),f(_t)!=="svelte-7scu8l"&&(_t.textContent=ra),pn.forEach(t),fl=h(e),_e=n(e,"P",{"data-svelte-h":!0}),f(_e)!=="svelte-178hqev"&&(_e.textContent=sa),cl=h(e),me=n(e,"P",{"data-svelte-h":!0}),f(me)!=="svelte-1jcmi14"&&(me.innerHTML=ha),pl=h(e),y=n(e,"H3",{class:!0});var vn=u(y);Y=n(vn,"A",{id:!0,class:!0,href:!0});var pi=u(Y);Ot=n(pi,"SPAN",{});var vi=u(Ot);p(we.$$.fragment,vi),vi.forEach(t),pi.forEach(t),In=h(vn),mt=n(vn,"SPAN",{"data-svelte-h":!0}),f(mt)!=="svelte-11pzrvz"&&(mt.textContent=ua),vn.forEach(t),vl=h(e),be=n(e,"P",{"data-svelte-h":!0}),f(be)!=="svelte-uz9mxv"&&(be.innerHTML=fa),dl=h(e),He=n(e,"P",{"data-svelte-h":!0}),f(He)!=="svelte-1x0d3ca"&&(He.innerHTML=ca),gl=h(e),E=n(e,"H3",{class:!0});var dn=u(E);K=n(dn,"A",{id:!0,class:!0,href:!0});var di=u(K);Ut=n(di,"SPAN",{});var gi=u(Ut);p(xe.$$.fragment,gi),gi.forEach(t),di.forEach(t),Fn=h(dn),wt=n(dn,"SPAN",{"data-svelte-h":!0}),f(wt)!=="svelte-14zdgy4"&&(wt.textContent=pa),dn.forEach(t),_l=h(e),$e=n(e,"P",{"data-svelte-h":!0}),f($e)!=="svelte-lfw4ab"&&($e.textContent=va),ml=h(e),ye=n(e,"P",{"data-svelte-h":!0}),f(ye)!=="svelte-a5p60a"&&(ye.innerHTML=da),wl=h(e),C=n(e,"H3",{class:!0});var gn=u(C);W=n(gn,"A",{id:!0,class:!0,href:!0});var _i=u(W);Gt=n(_i,"SPAN",{});var mi=u(Gt);p(Ee.$$.fragment,mi),mi.forEach(t),_i.forEach(t),Bn=h(gn),bt=n(gn,"SPAN",{"data-svelte-h":!0}),f(bt)!=="svelte-1i91o5c"&&(bt.textContent=ga),gn.forEach(t),bl=h(e),Ce=n(e,"P",{"data-svelte-h":!0}),f(Ce)!=="svelte-ksjawo"&&(Ce.innerHTML=_a),Hl=h(e),Ae=n(e,"P",{"data-svelte-h":!0}),f(Ae)!=="svelte-3wzlwo"&&(Ae.innerHTML=ma),xl=h(e),A=n(e,"H3",{class:!0});var _n=u(A);j=n(_n,"A",{id:!0,class:!0,href:!0});var wi=u(j);Rt=n(wi,"SPAN",{});var bi=u(Rt);p(Te.$$.fragment,bi),bi.forEach(t),wi.forEach(t),qn=h(_n),Ht=n(_n,"SPAN",{"data-svelte-h":!0}),f(Ht)!=="svelte-dbrm6c"&&(Ht.textContent=wa),_n.forEach(t),$l=h(e),ke=n(e,"P",{"data-svelte-h":!0}),f(ke)!=="svelte-dnq5h3"&&(ke.innerHTML=ba),yl=h(e),Le=n(e,"P",{"data-svelte-h":!0}),f(Le)!=="svelte-1b9lbbx"&&(Le.innerHTML=Ha),El=h(e),T=n(e,"H3",{class:!0});var mn=u(T);X=n(mn,"A",{id:!0,class:!0,href:!0});var Hi=u(X);Dt=n(Hi,"SPAN",{});var xi=u(Dt);p(Pe.$$.fragment,xi),xi.forEach(t),Hi.forEach(t),On=h(mn),xt=n(mn,"SPAN",{"data-svelte-h":!0}),f(xt)!=="svelte-5pypzf"&&(xt.textContent=xa),mn.forEach(t),Cl=h(e),Ne=n(e,"P",{"data-svelte-h":!0}),f(Ne)!=="svelte-t9rwl1"&&(Ne.innerHTML=$a),Al=h(e),Se=n(e,"P",{"data-svelte-h":!0}),f(Se)!=="svelte-4zt9wc"&&(Se.innerHTML=ya),Tl=h(e),Me=n(e,"P",{"data-svelte-h":!0}),f(Me)!=="svelte-5rzz4d"&&(Me.innerHTML=Ea),kl=h(e),k=n(e,"H3",{class:!0});var wn=u(k);V=n(wn,"A",{id:!0,class:!0,href:!0});var $i=u(V);zt=n($i,"SPAN",{});var yi=u(zt);p(Ie.$$.fragment,yi),yi.forEach(t),$i.forEach(t),Un=h(wn),$t=n(wn,"SPAN",{"data-svelte-h":!0}),f($t)!=="svelte-1kvpnr7"&&($t.textContent=Ca),wn.forEach(t),Ll=h(e),Fe=n(e,"P",{"data-svelte-h":!0}),f(Fe)!=="svelte-gmny4d"&&(Fe.textContent=Aa),Pl=h(e),Be=n(e,"P",{"data-svelte-h":!0}),f(Be)!=="svelte-18kg6sw"&&(Be.innerHTML=Ta),Nl=h(e),L=n(e,"H2",{class:!0});var bn=u(L);J=n(bn,"A",{id:!0,class:!0,href:!0});var Ei=u(J);Yt=n(Ei,"SPAN",{});var Ci=u(Yt);p(qe.$$.fragment,Ci),Ci.forEach(t),Ei.forEach(t),Gn=h(bn),yt=n(bn,"SPAN",{"data-svelte-h":!0}),f(yt)!=="svelte-1dk8u57"&&(yt.textContent=ka),bn.forEach(t),Sl=h(e),Oe=n(e,"P",{"data-svelte-h":!0}),f(Oe)!=="svelte-1enkv8e"&&(Oe.innerHTML=La),Ml=h(e),P=n(e,"H3",{class:!0});var Hn=u(P);Q=n(Hn,"A",{id:!0,class:!0,href:!0});var Ai=u(Q);Kt=n(Ai,"SPAN",{});var Ti=u(Kt);p(Ue.$$.fragment,Ti),Ti.forEach(t),Ai.forEach(t),Rn=h(Hn),Et=n(Hn,"SPAN",{"data-svelte-h":!0}),f(Et)!=="svelte-mp8nej"&&(Et.textContent=Pa),Hn.forEach(t),Il=h(e),Ge=n(e,"P",{"data-svelte-h":!0}),f(Ge)!=="svelte-1ctbewt"&&(Ge.textContent=Na),Fl=h(e),Re=n(e,"P",{"data-svelte-h":!0}),f(Re)!=="svelte-insvpu"&&(Re.innerHTML=Sa),Bl=h(e),N=n(e,"H3",{class:!0});var xn=u(N);Z=n(xn,"A",{id:!0,class:!0,href:!0});var ki=u(Z);Wt=n(ki,"SPAN",{});var Li=u(Wt);p(De.$$.fragment,Li),Li.forEach(t),ki.forEach(t),Dn=h(xn),Ct=n(xn,"SPAN",{"data-svelte-h":!0}),f(Ct)!=="svelte-13a4sl8"&&(Ct.textContent=Ma),xn.forEach(t),ql=h(e),ze=n(e,"P",{"data-svelte-h":!0}),f(ze)!=="svelte-1gxpflx"&&(ze.innerHTML=Ia),Ol=h(e),Ye=n(e,"P",{"data-svelte-h":!0}),f(Ye)!=="svelte-d0rh1g"&&(Ye.innerHTML=Fa),Ul=h(e),S=n(e,"H3",{class:!0});var $n=u(S);ee=n($n,"A",{id:!0,class:!0,href:!0});var Pi=u(ee);jt=n(Pi,"SPAN",{});var Ni=u(jt);p(Ke.$$.fragment,Ni),Ni.forEach(t),Pi.forEach(t),zn=h($n),At=n($n,"SPAN",{"data-svelte-h":!0}),f(At)!=="svelte-162xo85"&&(At.textContent=Ba),$n.forEach(t),Gl=h(e),We=n(e,"P",{"data-svelte-h":!0}),f(We)!=="svelte-192tmol"&&(We.innerHTML=qa),Rl=h(e),M=n(e,"H3",{class:!0});var yn=u(M);te=n(yn,"A",{id:!0,class:!0,href:!0});var Si=u(te);Xt=n(Si,"SPAN",{});var Mi=u(Xt);p(je.$$.fragment,Mi),Mi.forEach(t),Si.forEach(t),Yn=h(yn),Tt=n(yn,"SPAN",{"data-svelte-h":!0}),f(Tt)!=="svelte-pht0me"&&(Tt.textContent=Oa),yn.forEach(t),Dl=h(e),Xe=n(e,"P",{"data-svelte-h":!0}),f(Xe)!=="svelte-1a5ggf9"&&(Xe.innerHTML=Ua),zl=h(e),Ve=n(e,"P",{"data-svelte-h":!0}),f(Ve)!=="svelte-1wsb5xe"&&(Ve.innerHTML=Ga),Yl=h(e),I=n(e,"H3",{class:!0});var En=u(I);le=n(En,"A",{id:!0,class:!0,href:!0});var Ii=u(le);Vt=n(Ii,"SPAN",{});var Fi=u(Vt);p(Je.$$.fragment,Fi),Fi.forEach(t),Ii.forEach(t),Kn=h(En),kt=n(En,"SPAN",{"data-svelte-h":!0}),f(kt)!=="svelte-14b8pxs"&&(kt.textContent=Ra),En.forEach(t),Kl=h(e),Qe=n(e,"P",{"data-svelte-h":!0}),f(Qe)!=="svelte-16gkjc3"&&(Qe.innerHTML=Da),Wl=h(e),Ze=n(e,"P",{"data-svelte-h":!0}),f(Ze)!=="svelte-140g1ix"&&(Ze.textContent=za),jl=h(e),F=n(e,"H3",{class:!0});var Cn=u(F);ne=n(Cn,"A",{id:!0,class:!0,href:!0});var Bi=u(ne);Jt=n(Bi,"SPAN",{});var qi=u(Jt);p(et.$$.fragment,qi),qi.forEach(t),Bi.forEach(t),Wn=h(Cn),Lt=n(Cn,"SPAN",{"data-svelte-h":!0}),f(Lt)!=="svelte-1b3i1fm"&&(Lt.textContent=Ya),Cn.forEach(t),Xl=h(e),tt=n(e,"P",{"data-svelte-h":!0}),f(tt)!=="svelte-yphpce"&&(tt.innerHTML=Ka),Vl=h(e),lt=n(e,"P",{"data-svelte-h":!0}),f(lt)!=="svelte-h3tzls"&&(lt.innerHTML=Wa),Jl=h(e),B=n(e,"H3",{class:!0});var An=u(B);ae=n(An,"A",{id:!0,class:!0,href:!0});var Oi=u(ae);Qt=n(Oi,"SPAN",{});var Ui=u(Qt);p(nt.$$.fragment,Ui),Ui.forEach(t),Oi.forEach(t),jn=h(An),Pt=n(An,"SPAN",{"data-svelte-h":!0}),f(Pt)!=="svelte-vmkucg"&&(Pt.textContent=ja),An.forEach(t),Ql=h(e),at=n(e,"P",{"data-svelte-h":!0}),f(at)!=="svelte-52ybex"&&(at.innerHTML=Xa),Zl=h(e),it=n(e,"P",{"data-svelte-h":!0}),f(it)!=="svelte-1cuoqo0"&&(it.innerHTML=Va),en=h(e),q=n(e,"H2",{class:!0});var Tn=u(q);ie=n(Tn,"A",{id:!0,class:!0,href:!0});var Gi=u(ie);Zt=n(Gi,"SPAN",{});var Ri=u(Zt);p(ot.$$.fragment,Ri),Ri.forEach(t),Gi.forEach(t),Xn=h(Tn),Nt=n(Tn,"SPAN",{"data-svelte-h":!0}),f(Nt)!=="svelte-1k0dzyz"&&(Nt.textContent=Ja),Tn.forEach(t),tn=h(e),rt=n(e,"P",{"data-svelte-h":!0}),f(rt)!=="svelte-xfaoya"&&(rt.innerHTML=Qa),ln=h(e),O=n(e,"H3",{class:!0});var kn=u(O);oe=n(kn,"A",{id:!0,class:!0,href:!0});var Di=u(oe);el=n(Di,"SPAN",{});var zi=u(el);p(st.$$.fragment,zi),zi.forEach(t),Di.forEach(t),Vn=h(kn),St=n(kn,"SPAN",{"data-svelte-h":!0}),f(St)!=="svelte-n2luw"&&(St.textContent=Za),kn.forEach(t),nn=h(e),ht=n(e,"P",{"data-svelte-h":!0}),f(ht)!=="svelte-16nqegp"&&(ht.innerHTML=ei),an=h(e),U=n(e,"H3",{class:!0});var Ln=u(U);re=n(Ln,"A",{id:!0,class:!0,href:!0});var Yi=u(re);tl=n(Yi,"SPAN",{});var Ki=u(tl);p(ut.$$.fragment,Ki),Ki.forEach(t),Yi.forEach(t),Jn=h(Ln),Mt=n(Ln,"SPAN",{"data-svelte-h":!0}),f(Mt)!=="svelte-k5khyz"&&(Mt.textContent=ti),Ln.forEach(t),on=h(e),ft=n(e,"P",{"data-svelte-h":!0}),f(ft)!=="svelte-38e7oi"&&(ft.innerHTML=li),rn=h(e),ct=n(e,"P",{"data-svelte-h":!0}),f(ct)!=="svelte-h7vnjr"&&(ct.innerHTML=ni),sn=h(e),pt=n(e,"P",{"data-svelte-h":!0}),f(pt)!=="svelte-hhj9xt"&&(pt.innerHTML=ai),this.h()},h(){o(w,"name","hf:doc:metadata"),o(w,"content",JSON.stringify(eo)),o(G,"id","environment-variables"),o(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(G,"href","#environment-variables"),o(b,"class","relative group"),o(R,"id","generic"),o(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(R,"href","#generic"),o(H,"class","relative group"),o(D,"id","hfendpoint"),o(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(D,"href","#hfendpoint"),o(x,"class","relative group"),o(z,"id","hfinferenceendpoint"),o(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(z,"href","#hfinferenceendpoint"),o($,"class","relative group"),o(Y,"id","hfhome"),o(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(Y,"href","#hfhome"),o(y,"class","relative group"),o(K,"id","huggingfacehubcache"),o(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(K,"href","#huggingfacehubcache"),o(E,"class","relative group"),o(W,"id","huggingfaceassetscache"),o(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(W,"href","#huggingfaceassetscache"),o(C,"class","relative group"),o(j,"id","huggingfacehubtoken"),o(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(j,"href","#huggingfacehubtoken"),o(A,"class","relative group"),o(X,"id","huggingfacehubverbosity"),o(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(X,"href","#huggingfacehubverbosity"),o(T,"class","relative group"),o(V,"id","hfhublocaldirautosymlinkthreshold"),o(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(V,"href","#hfhublocaldirautosymlinkthreshold"),o(k,"class","relative group"),o(J,"id","boolean-values"),o(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(J,"href","#boolean-values"),o(L,"class","relative group"),o(Q,"id","hfhuboffline"),o(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(Q,"href","#hfhuboffline"),o(P,"class","relative group"),o(Z,"id","hfhubdisableimplicittoken"),o(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(Z,"href","#hfhubdisableimplicittoken"),o(N,"class","relative group"),o(ee,"id","hfhubdisableprogressbars"),o(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ee,"href","#hfhubdisableprogressbars"),o(S,"class","relative group"),o(te,"id","hfhubdisablesymlinkswarning"),o(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(te,"href","#hfhubdisablesymlinkswarning"),o(M,"class","relative group"),o(le,"id","hfhubdisableexperimentalwarning"),o(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(le,"href","#hfhubdisableexperimentalwarning"),o(I,"class","relative group"),o(ne,"id","hfhubdisabletelemetry"),o(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ne,"href","#hfhubdisabletelemetry"),o(F,"class","relative group"),o(ae,"id","hfhubenablehftransfer"),o(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ae,"href","#hfhubenablehftransfer"),o(B,"class","relative group"),o(ie,"id","from-external-tools"),o(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ie,"href","#from-external-tools"),o(q,"class","relative group"),o(oe,"id","nocolor"),o(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(oe,"href","#nocolor"),o(O,"class","relative group"),o(re,"id","xdgcachehome"),o(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(re,"href","#xdgcachehome"),o(U,"class","relative group")},m(e,a){r(document.head,w),i(e,ll,a),i(e,b,a),r(b,G),r(G,It),v(se,It,null),r(b,Pn),r(b,vt),i(e,nl,a),i(e,he,a),i(e,al,a),i(e,ue,a),i(e,il,a),i(e,fe,a),i(e,ol,a),i(e,H,a),r(H,R),r(R,Ft),v(ce,Ft,null),r(H,Nn),r(H,dt),i(e,rl,a),i(e,x,a),r(x,D),r(D,Bt),v(pe,Bt,null),r(x,Sn),r(x,gt),i(e,sl,a),i(e,ve,a),i(e,hl,a),i(e,de,a),i(e,ul,a),i(e,$,a),r($,z),r(z,qt),v(ge,qt,null),r($,Mn),r($,_t),i(e,fl,a),i(e,_e,a),i(e,cl,a),i(e,me,a),i(e,pl,a),i(e,y,a),r(y,Y),r(Y,Ot),v(we,Ot,null),r(y,In),r(y,mt),i(e,vl,a),i(e,be,a),i(e,dl,a),i(e,He,a),i(e,gl,a),i(e,E,a),r(E,K),r(K,Ut),v(xe,Ut,null),r(E,Fn),r(E,wt),i(e,_l,a),i(e,$e,a),i(e,ml,a),i(e,ye,a),i(e,wl,a),i(e,C,a),r(C,W),r(W,Gt),v(Ee,Gt,null),r(C,Bn),r(C,bt),i(e,bl,a),i(e,Ce,a),i(e,Hl,a),i(e,Ae,a),i(e,xl,a),i(e,A,a),r(A,j),r(j,Rt),v(Te,Rt,null),r(A,qn),r(A,Ht),i(e,$l,a),i(e,ke,a),i(e,yl,a),i(e,Le,a),i(e,El,a),i(e,T,a),r(T,X),r(X,Dt),v(Pe,Dt,null),r(T,On),r(T,xt),i(e,Cl,a),i(e,Ne,a),i(e,Al,a),i(e,Se,a),i(e,Tl,a),i(e,Me,a),i(e,kl,a),i(e,k,a),r(k,V),r(V,zt),v(Ie,zt,null),r(k,Un),r(k,$t),i(e,Ll,a),i(e,Fe,a),i(e,Pl,a),i(e,Be,a),i(e,Nl,a),i(e,L,a),r(L,J),r(J,Yt),v(qe,Yt,null),r(L,Gn),r(L,yt),i(e,Sl,a),i(e,Oe,a),i(e,Ml,a),i(e,P,a),r(P,Q),r(Q,Kt),v(Ue,Kt,null),r(P,Rn),r(P,Et),i(e,Il,a),i(e,Ge,a),i(e,Fl,a),i(e,Re,a),i(e,Bl,a),i(e,N,a),r(N,Z),r(Z,Wt),v(De,Wt,null),r(N,Dn),r(N,Ct),i(e,ql,a),i(e,ze,a),i(e,Ol,a),i(e,Ye,a),i(e,Ul,a),i(e,S,a),r(S,ee),r(ee,jt),v(Ke,jt,null),r(S,zn),r(S,At),i(e,Gl,a),i(e,We,a),i(e,Rl,a),i(e,M,a),r(M,te),r(te,Xt),v(je,Xt,null),r(M,Yn),r(M,Tt),i(e,Dl,a),i(e,Xe,a),i(e,zl,a),i(e,Ve,a),i(e,Yl,a),i(e,I,a),r(I,le),r(le,Vt),v(Je,Vt,null),r(I,Kn),r(I,kt),i(e,Kl,a),i(e,Qe,a),i(e,Wl,a),i(e,Ze,a),i(e,jl,a),i(e,F,a),r(F,ne),r(ne,Jt),v(et,Jt,null),r(F,Wn),r(F,Lt),i(e,Xl,a),i(e,tt,a),i(e,Vl,a),i(e,lt,a),i(e,Jl,a),i(e,B,a),r(B,ae),r(ae,Qt),v(nt,Qt,null),r(B,jn),r(B,Pt),i(e,Ql,a),i(e,at,a),i(e,Zl,a),i(e,it,a),i(e,en,a),i(e,q,a),r(q,ie),r(ie,Zt),v(ot,Zt,null),r(q,Xn),r(q,Nt),i(e,tn,a),i(e,rt,a),i(e,ln,a),i(e,O,a),r(O,oe),r(oe,el),v(st,el,null),r(O,Vn),r(O,St),i(e,nn,a),i(e,ht,a),i(e,an,a),i(e,U,a),r(U,re),r(re,tl),v(ut,tl,null),r(U,Jn),r(U,Mt),i(e,on,a),i(e,ft,a),i(e,rn,a),i(e,ct,a),i(e,sn,a),i(e,pt,a),hn=!0},p:ji,i(e){hn||(d(se.$$.fragment,e),d(ce.$$.fragment,e),d(pe.$$.fragment,e),d(ge.$$.fragment,e),d(we.$$.fragment,e),d(xe.$$.fragment,e),d(Ee.$$.fragment,e),d(Te.$$.fragment,e),d(Pe.$$.fragment,e),d(Ie.$$.fragment,e),d(qe.$$.fragment,e),d(Ue.$$.fragment,e),d(De.$$.fragment,e),d(Ke.$$.fragment,e),d(je.$$.fragment,e),d(Je.$$.fragment,e),d(et.$$.fragment,e),d(nt.$$.fragment,e),d(ot.$$.fragment,e),d(st.$$.fragment,e),d(ut.$$.fragment,e),hn=!0)},o(e){g(se.$$.fragment,e),g(ce.$$.fragment,e),g(pe.$$.fragment,e),g(ge.$$.fragment,e),g(we.$$.fragment,e),g(xe.$$.fragment,e),g(Ee.$$.fragment,e),g(Te.$$.fragment,e),g(Pe.$$.fragment,e),g(Ie.$$.fragment,e),g(qe.$$.fragment,e),g(Ue.$$.fragment,e),g(De.$$.fragment,e),g(Ke.$$.fragment,e),g(je.$$.fragment,e),g(Je.$$.fragment,e),g(et.$$.fragment,e),g(nt.$$.fragment,e),g(ot.$$.fragment,e),g(st.$$.fragment,e),g(ut.$$.fragment,e),hn=!1},d(e){e&&(t(ll),t(b),t(nl),t(he),t(al),t(ue),t(il),t(fe),t(ol),t(H),t(rl),t(x),t(sl),t(ve),t(hl),t(de),t(ul),t($),t(fl),t(_e),t(cl),t(me),t(pl),t(y),t(vl),t(be),t(dl),t(He),t(gl),t(E),t(_l),t($e),t(ml),t(ye),t(wl),t(C),t(bl),t(Ce),t(Hl),t(Ae),t(xl),t(A),t($l),t(ke),t(yl),t(Le),t(El),t(T),t(Cl),t(Ne),t(Al),t(Se),t(Tl),t(Me),t(kl),t(k),t(Ll),t(Fe),t(Pl),t(Be),t(Nl),t(L),t(Sl),t(Oe),t(Ml),t(P),t(Il),t(Ge),t(Fl),t(Re),t(Bl),t(N),t(ql),t(ze),t(Ol),t(Ye),t(Ul),t(S),t(Gl),t(We),t(Rl),t(M),t(Dl),t(Xe),t(zl),t(Ve),t(Yl),t(I),t(Kl),t(Qe),t(Wl),t(Ze),t(jl),t(F),t(Xl),t(tt),t(Vl),t(lt),t(Jl),t(B),t(Ql),t(at),t(Zl),t(it),t(en),t(q),t(tn),t(rt),t(ln),t(O),t(nn),t(ht),t(an),t(U),t(on),t(ft),t(rn),t(ct),t(sn),t(pt)),t(w),_(se),_(ce),_(pe),_(ge),_(we),_(xe),_(Ee),_(Te),_(Pe),_(Ie),_(qe),_(Ue),_(De),_(Ke),_(je),_(Je),_(et),_(nt),_(ot),_(st),_(ut)}}}const eo={local:"environment-variables",sections:[{local:"generic",sections:[{local:"hfendpoint",title:"HF_ENDPOINT"},{local:"hfinferenceendpoint",title:"HF_INFERENCE_ENDPOINT"},{local:"hfhome",title:"HF_HOME"},{local:"huggingfacehubcache",title:"HUGGINGFACE_HUB_CACHE"},{local:"huggingfaceassetscache",title:"HUGGINGFACE_ASSETS_CACHE"},{local:"huggingfacehubtoken",title:"HUGGING_FACE_HUB_TOKEN"},{local:"huggingfacehubverbosity",title:"HUGGINGFACE_HUB_VERBOSITY"},{local:"hfhublocaldirautosymlinkthreshold",title:"HF_HUB_LOCAL_DIR_AUTO_SYMLINK_THRESHOLD"}],title:"Generic"},{local:"boolean-values",sections:[{local:"hfhuboffline",title:"HF_HUB_OFFLINE"},{local:"hfhubdisableimplicittoken",title:"HF_HUB_DISABLE_IMPLICIT_TOKEN"},{local:"hfhubdisableprogressbars",title:"HF_HUB_DISABLE_PROGRESS_BARS"},{local:"hfhubdisablesymlinkswarning",title:"HF_HUB_DISABLE_SYMLINKS_WARNING"},{local:"hfhubdisableexperimentalwarning",title:"HF_HUB_DISABLE_EXPERIMENTAL_WARNING"},{local:"hfhubdisabletelemetry",title:"HF_HUB_DISABLE_TELEMETRY"},{local:"hfhubenablehftransfer",title:"HF_HUB_ENABLE_HF_TRANSFER"}],title:"Boolean values"},{local:"from-external-tools",sections:[{local:"nocolor",title:"NO_COLOR"},{local:"xdgcachehome",title:"XDG_CACHE_HOME"}],title:"From external tools"}],title:"Environment variables"};function to(Qn){return Xi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class io extends Vi{constructor(w){super(),Ji(this,w,to,Zi,Wi,{})}}export{io as component};
